org.jbpm.kie.services.impl.model

## Class UserTaskInstanceWithPotOwnerDesc

- java.lang.Object
- - org.jbpm.kie.services.impl.model.UserTaskInstanceDesc
  - - org.jbpm.kie.services.impl.model.UserTaskInstanceWithPotOwnerDesc

- All Implemented Interfaces:
    Serializable, UserTaskInstanceDesc, UserTaskInstanceWithPotOwnerDesc

      public class UserTaskInstanceWithPotOwnerDesc
      extends UserTaskInstanceDesc
      implements UserTaskInstanceWithPotOwnerDesc, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserTaskInstanceWithPotOwnerDesc(Long taskId, String name, String formName, String subject, String actualOwner, String potOwner, String correlationKey, Date createdOn, String createdBy, Date expirationDate, Date lastModificationDate, String lastModificationUser, Integer priority, String status, Long processInstanceId, String processId, String deploymentId, String processInstanceDescription)`
    `UserTaskInstanceWithPotOwnerDesc(String actualOwner, String createdBy, Date createdOn, Date expirationDate, Long taskId, String name, Integer priority, Long processInstanceId, String processId, String status, String potOwner, String formName, String correlationKey, String subject, String deploymentId, String processInstanceDescription)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInputdata(String variable, Object variableValue)`
    `void` | `addOutputdata(String variable, Object variableValue)`
    `void` | `addPotOwner(String potOwners)`
    `String` | `getCorrelationKey()` Returns the uer task correlation key
    `Map<String,Object>` | `getInputdata()` Returns the uer task input data
    `Date` | `getLastModificationDate()` Returns the uer task potential modification date
    `String` | `getLastModificationUser()` Returns the uer task last modification user
    `Map<String,Object>` | `getOutputdata()` Returns the uer task output data
    `List<String>` | `getPotentialOwners()` Returns the uer task potential owners
    `String` | `getProcessInstanceDescription()` Returns the uer task process instance description
    `String` | `getSubject()` Returns the uer task subject
    `void` | `setCorrelationKey(String correlationKey)`
    `void` | `setInputdata(Map<String,Object> inputdata)`
    `void` | `setLastModificationDate(Date lastModificationDate)`
    `void` | `setLastModificationUser(String lastModificationUser)`
    `void` | `setOutputdata(Map<String,Object> outputdata)`
    `void` | `setPotentialOwners(List<String> potOwners)`
    `void` | `setProcessInstanceDescription(String processInstanceDescription)`
    `void` | `setSubject(String subject)`

    - ### Methods inherited from class org.jbpm.kie.services.impl.model.UserTaskInstanceDesc

      `getActivationTime, getActualOwner, getCreatedBy, getCreatedOn, getDeploymentId, getDescription, getDueDate, getFormName, getName, getPriority, getProcessId, getProcessInstanceId, getSlaCompliance, getSlaDueDate, getStatus, getTaskId, getWorkItemId, setDescription, setDueDate, setFormName, setName, setPriority, setSlaCompliance, setSlaDueDate, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.services.api.model.UserTaskInstanceDesc

      `getActivationTime, getActualOwner, getCreatedBy, getCreatedOn, getDeploymentId, getDescription, getDueDate, getFormName, getName, getPriority, getProcessId, getProcessInstanceId, getSlaCompliance, getSlaDueDate, getStatus, getTaskId, getWorkItemId, setSlaCompliance, setSlaDueDate`

- - ### Constructor Detail

    - #### UserTaskInstanceWithPotOwnerDesc

          public UserTaskInstanceWithPotOwnerDesc(Long taskId,
                                                  String name,
                                                  String formName,
                                                  String subject,
                                                  String actualOwner,
                                                  String potOwner,
                                                  String correlationKey,
                                                  Date createdOn,
                                                  String createdBy,
                                                  Date expirationDate,
                                                  Date lastModificationDate,
                                                  String lastModificationUser,
                                                  Integer priority,
                                                  String status,
                                                  Long processInstanceId,
                                                  String processId,
                                                  String deploymentId,
                                                  String processInstanceDescription)

    - #### UserTaskInstanceWithPotOwnerDesc

          public UserTaskInstanceWithPotOwnerDesc(String actualOwner,
                                                  String createdBy,
                                                  Date createdOn,
                                                  Date expirationDate,
                                                  Long taskId,
                                                  String name,
                                                  Integer priority,
                                                  Long processInstanceId,
                                                  String processId,
                                                  String status,
                                                  String potOwner,
                                                  String formName,
                                                  String correlationKey,
                                                  String subject,
                                                  String deploymentId,
                                                  String processInstanceDescription)

  - ### Method Detail

    - #### getPotentialOwners

          public List<String> getPotentialOwners()

      Description copied from interface: `UserTaskInstanceWithPotOwnerDesc`
      Returns the uer task potential owners
      Specified by:
        `getPotentialOwners` in interface `UserTaskInstanceWithPotOwnerDesc`
      Returns:
        potential owners

    - #### getCorrelationKey

          public String getCorrelationKey()

      Description copied from interface: `UserTaskInstanceWithPotOwnerDesc`
      Returns the uer task correlation key
      Specified by:
        `getCorrelationKey` in interface `UserTaskInstanceWithPotOwnerDesc`
      Returns:
        correlation key

    - #### getLastModificationDate

          public Date getLastModificationDate()

      Description copied from interface: `UserTaskInstanceWithPotOwnerDesc`
      Returns the uer task potential modification date
      Specified by:
        `getLastModificationDate` in interface `UserTaskInstanceWithPotOwnerDesc`
      Returns:
        modification date

    - #### getSubject

          public String getSubject()

      Description copied from interface: `UserTaskInstanceWithPotOwnerDesc`
      Returns the uer task subject
      Specified by:
        `getSubject` in interface `UserTaskInstanceWithPotOwnerDesc`
      Returns:
        subject

    - #### getLastModificationUser

          public String getLastModificationUser()

      Description copied from interface: `UserTaskInstanceWithPotOwnerDesc`
      Returns the uer task last modification user
      Specified by:
        `getLastModificationUser` in interface `UserTaskInstanceWithPotOwnerDesc`
      Returns:
        last modification user

    - #### setPotentialOwners

          public void setPotentialOwners(List<String> potOwners)

    - #### addPotOwner

          public void addPotOwner(String potOwners)

    - #### setCorrelationKey

          public void setCorrelationKey(String correlationKey)

    - #### setLastModificationDate

          public void setLastModificationDate(Date lastModificationDate)

    - #### setSubject

          public void setSubject(String subject)

    - #### setLastModificationUser

          public void setLastModificationUser(String lastModificationUser)

    - #### getInputdata

          public Map<String,Object> getInputdata()

      Description copied from interface: `UserTaskInstanceWithPotOwnerDesc`
      Returns the uer task input data
      Specified by:
        `getInputdata` in interface `UserTaskInstanceWithPotOwnerDesc`
      Returns:
        input data

    - #### setInputdata

          public void setInputdata(Map<String,Object> inputdata)

    - #### getOutputdata

          public Map<String,Object> getOutputdata()

      Description copied from interface: `UserTaskInstanceWithPotOwnerDesc`
      Returns the uer task output data
      Specified by:
        `getOutputdata` in interface `UserTaskInstanceWithPotOwnerDesc`
      Returns:
        output data

    - #### setOutputdata

          public void setOutputdata(Map<String,Object> outputdata)

    - #### addInputdata

          public void addInputdata(String variable,
                                   Object variableValue)

    - #### addOutputdata

          public void addOutputdata(String variable,
                                    Object variableValue)

    - #### getProcessInstanceDescription

          public String getProcessInstanceDescription()

      Description copied from interface: `UserTaskInstanceWithPotOwnerDesc`
      Returns the uer task process instance description
      Specified by:
        `getProcessInstanceDescription` in interface `UserTaskInstanceWithPotOwnerDesc`
      Returns:
        process instance description

    - #### setProcessInstanceDescription

          public void setProcessInstanceDescription(String processInstanceDescription)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.